| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Macros | Typedefs | Functions
videoExternal.h File Reference
`#include <ARX/ARVideo/video.h>`
Include dependency graph for videoExternal.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | AR_VIDEO_EXTERNAL_FOCAL_LENGTH_DEFAULT 0.3

## Typedefs
typedef struct _AR2VideoParamExternalT | AR2VideoParamExternalT

## Functions
int | ar2VideoDispOptionExternal (void)
AR2VideoParamExternalT * | ar2VideoOpenAsyncExternal (const char *config, void(*callback)(void *), void *userdata)
int | ar2VideoCloseExternal (AR2VideoParamExternalT *vid)
int | ar2VideoGetIdExternal (AR2VideoParamExternalT *vid, ARUint32 *id0, ARUint32 *id1)
int | ar2VideoGetSizeExternal (AR2VideoParamExternalT *vid, int *x, int *y)
AR_PIXEL_FORMAT | ar2VideoGetPixelFormatExternal (AR2VideoParamExternalT *vid)
AR2VideoBufferT * | ar2VideoGetImageExternal (AR2VideoParamExternalT *vid)
int | ar2VideoCapStartExternal (AR2VideoParamExternalT *vid)
int | ar2VideoCapStopExternal (AR2VideoParamExternalT *vid)
int | ar2VideoGetParamiExternal (AR2VideoParamExternalT *vid, int paramName, int *value)
int | ar2VideoSetParamiExternal (AR2VideoParamExternalT *vid, int paramName, int value)
int | ar2VideoGetParamdExternal (AR2VideoParamExternalT *vid, int paramName, double *value)
int | ar2VideoSetParamdExternal (AR2VideoParamExternalT *vid, int paramName, double value)
int | ar2VideoGetParamsExternal (AR2VideoParamExternalT *vid, const int paramName, char **value)
int | ar2VideoSetParamsExternal (AR2VideoParamExternalT *vid, const int paramName, const char *value)
int | ar2VideoPushInitExternal (AR2VideoParamExternalT *vid, int width, int height, const char *pixelFormat, int cameraIndex, int cameraPosition)
int | ar2VideoPushExternal (AR2VideoParamExternalT *vid, ARUint8 *buf0p, int buf0Size, int buf0PixelStride, int buf0RowStride, ARUint8 *buf1p, int buf1Size, int buf1PixelStride, int buf1RowStride, ARUint8 *buf2p, int buf2Size, int buf2PixelStride, int buf2RowStride, ARUint8 *buf3p, int buf3Size, int buf3PixelStride, int buf3RowStride)
int | ar2VideoPushFinalExternal (AR2VideoParamExternalT *vid)

## Macro Definition Documentation

## ◆ AR_VIDEO_EXTERNAL_FOCAL_LENGTH_DEFAULT

#define AR_VIDEO_EXTERNAL_FOCAL_LENGTH_DEFAULT 0.3

## Typedef Documentation

## ◆ AR2VideoParamExternalT

typedef struct _AR2VideoParamExternalT AR2VideoParamExternalT

## Function Documentation

## ◆ ar2VideoCapStartExternal()

int ar2VideoCapStartExternal | ( | AR2VideoParamExternalT * | vid | ) |

## ◆ ar2VideoCapStopExternal()

int ar2VideoCapStopExternal | ( | AR2VideoParamExternalT * | vid | ) |

## ◆ ar2VideoCloseExternal()

int ar2VideoCloseExternal | ( | AR2VideoParamExternalT * | vid | ) |

## ◆ ar2VideoDispOptionExternal()

int ar2VideoDispOptionExternal | ( | void |  | ) |

## ◆ ar2VideoGetIdExternal()

int ar2VideoGetIdExternal | ( | AR2VideoParamExternalT * | vid,
|  | ARUint32 * | id0,
|  | ARUint32 * | id1
| ) |  |

## ◆ ar2VideoGetImageExternal()

AR2VideoBufferT * ar2VideoGetImageExternal | ( | AR2VideoParamExternalT * | vid | ) |

## ◆ ar2VideoGetParamdExternal()

int ar2VideoGetParamdExternal | ( | AR2VideoParamExternalT * | vid,
|  | int | paramName,
|  | double * | value
| ) |  |

## ◆ ar2VideoGetParamiExternal()

int ar2VideoGetParamiExternal | ( | AR2VideoParamExternalT * | vid,
|  | int | paramName,
|  | int * | value
| ) |  |

## ◆ ar2VideoGetParamsExternal()

int ar2VideoGetParamsExternal | ( | AR2VideoParamExternalT * | vid,
|  | const int | paramName,
|  | char ** | value
| ) |  |

## ◆ ar2VideoGetPixelFormatExternal()

AR_PIXEL_FORMAT ar2VideoGetPixelFormatExternal | ( | AR2VideoParamExternalT * | vid | ) |

## ◆ ar2VideoGetSizeExternal()

int ar2VideoGetSizeExternal | ( | AR2VideoParamExternalT * | vid,
|  | int * | x,
|  | int * | y
| ) |  |

## ◆ ar2VideoOpenAsyncExternal()

AR2VideoParamExternalT * ar2VideoOpenAsyncExternal | ( | const char * | config,
|  | void(*)(void *) | callback,
|  | void * | userdata
| ) |  |

## ◆ ar2VideoPushExternal()

int ar2VideoPushExternal | ( | AR2VideoParamExternalT * | vid,
|  | ARUint8 * | buf0p,
|  | int | buf0Size,
|  | int | buf0PixelStride,
|  | int | buf0RowStride,
|  | ARUint8 * | buf1p,
|  | int | buf1Size,
|  | int | buf1PixelStride,
|  | int | buf1RowStride,
|  | ARUint8 * | buf2p,
|  | int | buf2Size,
|  | int | buf2PixelStride,
|  | int | buf2RowStride,
|  | ARUint8 * | buf3p,
|  | int | buf3Size,
|  | int | buf3PixelStride,
|  | int | buf3RowStride
| ) |  |

## ◆ ar2VideoPushFinalExternal()

int ar2VideoPushFinalExternal | ( | AR2VideoParamExternalT * | vid | ) |

## ◆ ar2VideoPushInitExternal()

int ar2VideoPushInitExternal | ( | AR2VideoParamExternalT * | vid,
|  | int | width,
|  | int | height,
|  | const char * | pixelFormat,
|  | int | cameraIndex,
|  | int | cameraPosition
| ) |  |

## ◆ ar2VideoSetParamdExternal()

int ar2VideoSetParamdExternal | ( | AR2VideoParamExternalT * | vid,
|  | int | paramName,
|  | double | value
| ) |  |

## ◆ ar2VideoSetParamiExternal()

int ar2VideoSetParamiExternal | ( | AR2VideoParamExternalT * | vid,
|  | int | paramName,
|  | int | value
| ) |  |

## ◆ ar2VideoSetParamsExternal()

int ar2VideoSetParamsExternal | ( | AR2VideoParamExternalT * | vid,
|  | const int | paramName,
|  | const char * | value
| ) |  |